Bug 6871 - Have a link to the schema page on the reports page
Summary: Have a link to the schema page on the reports page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Liz Rea
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-15 05:48 UTC by Robin Sheat
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6871 - add schema and sql library reports to guided reports sidebar (1.17 KB, patch)
2011-09-22 19:11 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 6871 - add schema and sql library reports to guided reports sidebar (1.18 KB, patch)
2011-09-22 23:37 UTC, Robin Sheat
Details | Diff | Splinter Review
Proposed Patch (1.40 KB, patch)
2011-09-27 20:23 UTC, Thatcher Rea
Details | Diff | Splinter Review
Bug 6871 - Have a link to the schema page on the reports page (1.50 KB, patch)
2011-09-27 20:25 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-09-15 05:48:41 UTC
From the staff client reports page, we should include a link to the schemaspy output at schema.koha-community.org to make it easier for people.
Comment 1 Liz Rea 2011-09-22 19:11:44 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2011-09-22 23:37:56 UTC
Created attachment 5555 [details] [review]
Bug 6871 - add schema and sql library reports to guided reports sidebar

This patch adds links for schema.k-c.org and the sql report library to the guided reports sidebar.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Comment 3 Robin Sheat 2011-09-22 23:39:58 UTC
This works well, do we perhaps also want it on the reports-home page, just so it's immediately obvious (as that page doesn't show the sidebar.)
Comment 4 Liz Rea 2011-09-23 00:01:14 UTC
I thought about that, but i couldn't get it to look right. Imo, it's most relevant on the page where you're actually entering the sql reports... but then again, more exposure is always better?
Comment 5 Liz Rea 2011-09-23 00:03:45 UTC
well, where "look right" is "didn't meet my standard of symmetry and aesthetics"

which means... i'm picky.
Comment 6 Chris Cormack 2011-09-25 02:10:46 UTC
Simple change, works well, pushed please test
Comment 7 Thatcher Rea 2011-09-27 20:23:56 UTC Comment hidden (obsolete)
Comment 8 Liz Rea 2011-09-27 20:25:21 UTC
Created attachment 5622 [details] [review]
Bug 6871 - Have a link to the schema page on the reports page

Adds schema and reports library to reports-home.tt

To Test: Verify that schema and report library links are visible on reports-home.pl

Signed-off-by: Liz Rea <lrea@nekls.org>
Works as advertised, links are correct.
Comment 9 Ian Walls 2011-09-27 20:28:04 UTC
Template only change, consistent with previous patch, marking as Passed QA
Comment 10 Chris Cormack 2011-09-27 20:50:21 UTC
Pushed, please test
Comment 11 Liz Rea 2011-09-27 21:48:00 UTC
I think we got all of the requirements for this, all looks good, i'm gonna close it.